ReadAheadEndpoint (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.admin

## Class ReadAheadEndpoint

- java.lang.Object
- - org.apache.zookeeper.server.admin.ReadAheadEndpoint

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.eclipse.jetty.io.EndPoint

      public class ReadAheadEndpoint
      extends Object
      implements org.eclipse.jetty.io.EndPoint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadAheadEndpoint(org.eclipse.jetty.io.EndPoint channel, int readAheadLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `fill(ByteBuffer dst)`
    `void` | `fillInterested(org.eclipse.jetty.util.Callback v)`
    `boolean` | `flush(ByteBuffer... v)`
    `byte[]` | `getBytes()`
    `org.eclipse.jetty.io.Connection` | `getConnection()`
    `long` | `getCreatedTimeStamp()`
    `long` | `getIdleTimeout()`
    `InetSocketAddress` | `getLocalAddress()`
    `InetSocketAddress` | `getRemoteAddress()`
    `Object` | `getTransport()`
    `boolean` | `isFillInterested()`
    `boolean` | `isInputShutdown()`
    `boolean` | `isOpen()`
    `boolean` | `isOptimizedForDirectBuffers()`
    `boolean` | `isOutputShutdown()`
    `void` | `onClose()`
    `void` | `onOpen()`
    `void` | `setConnection(org.eclipse.jetty.io.Connection v)`
    `void` | `setIdleTimeout(long v)`
    `void` | `shutdownOutput()`
    `boolean` | `tryFillInterested(org.eclipse.jetty.util.Callback v)`
    `void` | `upgrade(org.eclipse.jetty.io.Connection v)`
    `void` | `write(org.eclipse.jetty.util.Callback v, ByteBuffer... b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadAheadEndpoint

          public ReadAheadEndpoint(org.eclipse.jetty.io.EndPoint channel,
                                   int readAheadLength)

  - ### Method Detail

    - #### getLocalAddress

          public InetSocketAddress getLocalAddress()

      Specified by:
        `getLocalAddress` in interface `org.eclipse.jetty.io.EndPoint`

    - #### getRemoteAddress

          public InetSocketAddress getRemoteAddress()

      Specified by:
        `getRemoteAddress` in interface `org.eclipse.jetty.io.EndPoint`

    - #### isOpen

          public boolean isOpen()

      Specified by:
        `isOpen` in interface `org.eclipse.jetty.io.EndPoint`

    - #### getCreatedTimeStamp

          public long getCreatedTimeStamp()

      Specified by:
        `getCreatedTimeStamp` in interface `org.eclipse.jetty.io.EndPoint`

    - #### isOutputShutdown

          public boolean isOutputShutdown()

      Specified by:
        `isOutputShutdown` in interface `org.eclipse.jetty.io.EndPoint`

    - #### isInputShutdown

          public boolean isInputShutdown()

      Specified by:
        `isInputShutdown` in interface `org.eclipse.jetty.io.EndPoint`

    - #### shutdownOutput

          public void shutdownOutput()

      Specified by:
        `shutdownOutput` in interface `org.eclipse.jetty.io.EndPoint`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `org.eclipse.jetty.io.EndPoint`

    - #### getTransport

          public Object getTransport()

      Specified by:
        `getTransport` in interface `org.eclipse.jetty.io.EndPoint`

    - #### getIdleTimeout

          public long getIdleTimeout()

      Specified by:
        `getIdleTimeout` in interface `org.eclipse.jetty.io.EndPoint`

    - #### getConnection

          public org.eclipse.jetty.io.Connection getConnection()

      Specified by:
        `getConnection` in interface `org.eclipse.jetty.io.EndPoint`

    - #### onOpen

          public void onOpen()

      Specified by:
        `onOpen` in interface `org.eclipse.jetty.io.EndPoint`

    - #### onClose

          public void onClose()

      Specified by:
        `onClose` in interface `org.eclipse.jetty.io.EndPoint`

    - #### isOptimizedForDirectBuffers

          public boolean isOptimizedForDirectBuffers()

      Specified by:
        `isOptimizedForDirectBuffers` in interface `org.eclipse.jetty.io.EndPoint`

    - #### isFillInterested

          public boolean isFillInterested()

      Specified by:
        `isFillInterested` in interface `org.eclipse.jetty.io.EndPoint`

    - #### tryFillInterested

          public boolean tryFillInterested(org.eclipse.jetty.util.Callback v)

      Specified by:
        `tryFillInterested` in interface `org.eclipse.jetty.io.EndPoint`

    - #### flush

          public boolean flush(ByteBuffer... v)
                        throws IOException

      Specified by:
        `flush` in interface `org.eclipse.jetty.io.EndPoint`
      Throws:
        `IOException`

    - #### setIdleTimeout

          public void setIdleTimeout(long v)

      Specified by:
        `setIdleTimeout` in interface `org.eclipse.jetty.io.EndPoint`

    - #### write

          public void write(org.eclipse.jetty.util.Callback v,
                            ByteBuffer... b)
                     throws WritePendingException

      Specified by:
        `write` in interface `org.eclipse.jetty.io.EndPoint`
      Throws:
        `WritePendingException`

    - #### setConnection

          public void setConnection(org.eclipse.jetty.io.Connection v)

      Specified by:
        `setConnection` in interface `org.eclipse.jetty.io.EndPoint`

    - #### upgrade

          public void upgrade(org.eclipse.jetty.io.Connection v)

      Specified by:
        `upgrade` in interface `org.eclipse.jetty.io.EndPoint`

    - #### fillInterested

          public void fillInterested(org.eclipse.jetty.util.Callback v)
                              throws ReadPendingException

      Specified by:
        `fillInterested` in interface `org.eclipse.jetty.io.EndPoint`
      Throws:
        `ReadPendingException`

    - #### fill

          public int fill(ByteBuffer dst)
                   throws IOException

      Specified by:
        `fill` in interface `org.eclipse.jetty.io.EndPoint`
      Throws:
        `IOException`

    - #### getBytes

          public byte[] getBytes()

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.